
import 'package:better_video_player_example/pages/custom_player_page.dart';
import 'package:better_video_player_example/pages/list_player_page.dart';
import 'package:better_video_player_example/pages/normal_player_page.dart';
import 'package:better_video_player_example/pages/portrait_player_page.dart';
import 'package:flutter/material.dart';

class WelcomePage extends StatefulWidget {
  @override
  _WelcomePageState createState() => _WelcomePageState();
}

class _WelcomePageState extends State<WelcomePage> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Player Example"),
      ),
      body: Padding(
        padding: const EdgeInsets.symmetric(horizontal: 16),
        child: ListView(
          children: buildExampleElementWidgets(),
        ),
      ),
    );
  }

  List<Widget> buildExampleElementWidgets() {
    return [
      _buildExampleElementWidget("Normal player", () {
        _navigateToPage(NormalPlayerPage());
      }),
      _buildExampleElementWidget("Custom player", () {
        _navigateToPage(CustomPlayerPage());
      }),
      _buildExampleElementWidget("Portrait player", () {
        _navigateToPage(PortraitPlayerPage());
      }),
      _buildExampleElementWidget("List player", () {
        _navigateToPage(ListPlayerPage());
      }),
    ];
  }

  Widget _buildExampleElementWidget(String name, Function() onClicked) {
    return Material(
      child: InkWell(
        onTap: onClicked,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Padding(
              padding: const EdgeInsets.symmetric(vertical: 8),
              child: Text(
                name,
                style: TextStyle(fontSize: 16),
              ),
            ),
            Divider(),
          ],
        ),
      ),
    );
  }

  Future _navigateToPage(Widget routeWidget) {
    return Navigator.push(
      context,
      MaterialPageRoute(builder: (context) => routeWidget),
    );
  }
}
